<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.docus.server.infrastructure.mapper.RcvSysUserMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap"
               type="com.docus.server.entity.recovery.RcvSysUser">
                    <id column="user_id" property="userId"/>
                    <result column="user_name" property="userName"/>
                    <result column="user_pwd" property="userPwd"/>
                    <result column="user_sex" property="userSex"/>
                    <result column="user_age" property="userAge"/>
                    <result column="user_tel" property="userTel"/>
                    <result column="user_email" property="userEmail"/>
                    <result column="user_head" property="userHead"/>
                    <result column="user_position" property="userPosition"/>
                    <result column="effective" property="effective"/>
                    <result column="create_time" property="createTime"/>
                    <result column="update_time" property="updateTime"/>
        </resultMap>

            <!-- 通用查询结果列 -->
            <sql id="Base_Column_List">
                user_id, user_name, user_pwd, user_sex, user_age, user_tel, user_email, user_head, user_position, effective, create_time, update_time
            </sql>

</mapper>
